:root {
    --navleft-active: linear-gradient(273deg, rgba(72, 156, 189, 1) 0%, rgba(18, 85, 148, 1) 56%);
    --navleftd-hover: linear-gradient(294deg, rgba(125, 125, 161, 1) 35%, rgba(62, 167, 194, 1) 100%);
    --rectable-thead: #0d2133;
    --content-bg: #0d2133;
    --activetab-bg: #0d2133;
    --navleft-header: #0d2133;
}

html {
    height: 100%
}

.body {
    background: #C0C0C0;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12px;
    color: #333;
    min-height: 100%
}

table {
    border-collapse: collapse;
    width: 100%;
}

.hlight {
    background-color: #FFFFCC;
}

.nlight {
    background-color: white;
}

.link {
    color: #06c;
    text-decoration: none;
    cursor: pointer
}

.link:hover {
    color: red;
}

.wlink {
    color: #fff;
    text-decoration: none;
    cursor: pointer
}

.wlink:hover {
    color: #09C;
}

.div-product{
	width:500px;
	height:300px;
	overflow:scroll;
	border:1px solid #999;
	border-radius:2px;
	}

.highlight {
    background-color: #D6F8FE
}

.rows {
    background-color: #FFF8EA
}

.tc {
    text-align: center
}

.tl {
    text-align: left
}

.tr {
    text-align: right
}

.hr {
    border: 1px #0d2133 solid
}

.thr {
    color: #0d2133;
    margin: 0px;
}

.read {
    background-color: #CCCCCC
}

.maintd {
    background-color: #C2ECFC;
    font-weight: bold;
}

.tb_button {
    background-color: #666666;
    color: white;
    font-weight: bold;
    cursor: pointer;
    padding: 5px;
    border-bottom: 1px white solid;
}

.redtd {
    text-align: left;
    color: red
}

.pheader {
    font-size: 14px;
    font-weight: bold;
    color: #06C;
}

.black_button {
    background-color: #0d2133;
    color: white;
    border: 1px silver solid;
    padding: 2px;
    border-radius: 4px;
    font-size: 12px
}

.print_label {
    height: 30px;
    font-weight: bold;
    font-size: 14px;
    text-align: center;
    border-bottom: 1px silver solid;
    margin-top: 10px
}

.w-100 {
    width: 95%
}

.w80 {
    width: 80px;
}

.w100 {
    width: 100px;
}

.w120 {
    width: 120px;
}

.w150 {
    width: 150px;
}

.w180 {
    width: 180px;
}

.w230 {
    width: 230px;
}

.w280 {
    width: 280px;
}

.bold {
    font-weight: bold
}

.psheader {
    color: #09C;
    font-size: 14px;
    font-weight: bold;
    border-bottom: 1px solid #06F;
    text-align: left;
    padding: 5px;
}

.del_psheader {
    color: red;
    font-size: 14px;
    font-weight: bold;
    border-bottom: 1px gray solid;
    text-align: left;
    margin: 3px
}

.label {
    margin: 0 0 2px 0
}

.label_s {
    margin: 0 0 6px;
}

.txt_s {
    width: 50px
}

.uom_box {
    width: 60px;
}

img {
    border: none
}


/* start input and button style*/

.blue_button {
    background: #0b638c;
    color: white;
    border-radius: 2px;
    padding: 8px;
    border: 1px solid #036;
    cursor: pointer;
    text-decoration: none
}

.blue_button:hover {
    background: #0099CC;
    border: 1px solid #09F;
}

.blue_button:focus {
    border: 1px solid #09F;
    background-color: #0099CC
}

.act_button {
    font-size: 10px;
    background-color: #09c;
    color: white;
    border: 1px transparent solid;
    border-radius: 2px;
    padding: 1px 0px 2px 0px;
    margin-left: 2px;
    cursor: pointer
}

.act_button:focus {
    background-color: red;
}

.input_txt {
    padding: 5px;
    border: 1px solid #999;
    border-radius: 2px;
    color: #0d2133;
}

.txt_b {
    width: 300px
}

.input_txt:focus {
    border: 1px #09c solid
}

.span_selbox {
    padding: 6px 3px 6px 5px;
    border: 1px solid #999;
    border-radius: 2px;
}

select {
    border: none;
    background: #fff;
}


/*end button style*/


/*navigation left*/

.navleft {
    border-radius: 4px;
    width: 190px;
    border: 1px #0d2133 solid;
    background: #fff;
    margin-top: 10px;
}

.navleftd {
    display: block;
    padding: 8px;
    cursor: pointer;
    color: #333;
    text-decoration: none
}

.navleftd_act {
    display: block;
    cursor: pointer;
    color: #fff;
    padding: 8px;
    text-decoration: none;
    background: var(--navleft-active);
}

.navleftd:hover {
    background: var(--navleftd-hover);
    color: #fff
}

.nleft_title {
    display: block;
    color: #CECECE;
    background: var(--navleft-header);
    padding: 10px;
}


/*index page css*/

#navleft {
    width: 200px;
    height: 300px;
    position: absolute;
    top: 70px;
    left: 20px;
}

#maindiv {
    position: absolute;
    left: 220px;
    background-color: transparent;
    top: 70px;
    height: 400px;
    margin-top: 10px;
}

#tabwrapper {
    position: relative;
    top: 0px;
}

.activetab {
    width: 160px;
    padding: 7px 0 5px 0;
    text-align: center;
    color: white;
    background: var(--activetab-bg);
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    border: 1px black solid;
    display: inline-block;
    border-bottom: none;
}

.inactivetab {
    width: 160px;
    padding: 7px 0 5px 0;
    text-align: center;
    background: #0d2133;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    border: 1px black solid;
    display: inline-block;
    border-bottom: none;
    opacity: 0.5;
}

#content {
    border-radius: 4px;
    border-top-left-radius: 0px;
    height: 20px;
    background-color: var(--content-bg);
    height: auto;
    padding: 4px 3px 3px 2px;
    width: 920px;
}

#toolbar {
    padding: 5px 3px 5px 3px;
    background-color: white;
}

.rptwrap {
    padding: 3px;
    background-color: white;
}


/*table style*/

#worksheet {
    background-color: white;
    border-radius: 5px;
    padding: 5px;
    border: 1px #0d2133 solid;
    min-width: 900px;
}

.wstable {
    width: 100%;
    border-collapse: collapse;
}

.wstable_thead {
    background-color: #0d2133;
    color: #fff
}

.wstable td {
    padding: 7px 5px 7px 5px;
    border-bottom: 1px silver solid;
}

.rec_output {
    padding: 0;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    border: 1px #0A3E6B solid;
    border-left: none;
    border-right: none
}

.navleft_header {
    /*background-color: #0A3E6B;*/
    background: var(--navleft-header);
    padding: 5px;
    display: block;
    color: white;
    text-align: center;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    font-weight: bold;
}

.navleft_d_inactive {
    padding: 5px;
    border-bottom: 1px gray solid;
    color: #0d2133;
    display: block;
    text-align: center;
    margin: 2px 5px 2px 5px;
    cursor: pointer;
}

.navleft_d_active {
    padding: 5px;
    border-bottom: 1px solid red;
    color: #09c;
    display: block;
    text-align: center;
    margin: 2px 5px 2px 5px;
    cursor: pointer;
    background-image: url(../../images/arrow.png);
    background-repeat: no-repeat;
    background-position: right
}

.navleft_d_inactive:hover {
    color: #09c;
    border-bottom: 1px solid red
}

.modalbg {
    min-width: 1024px;
    min-height: 600px;
    width: 100%;
    height: 100%;
    background-color: gray;
    opacity: 0.5;
    position: absolute;
    z-index: 80;
    display: none;
}

.entry_container {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 100;
    display: none;
}


/*record table*/

.rectable {
    border-collapse: collapse;
    width: 100%;
    color: #333
}

#rectable tbody tr {
    transition: background-color .15s ease;
}

#rectable tbody tr:nth-child(even) {
    background: #f8f8f8;
}

#rectable tbody tr:nth-child(odd) {
    background: #fff;
}

#rectable tbody tr:hover {
    background: #dbeafe;
}

.rectable thead td {
    background: var(--rectable-thead);
    color: white;
    text-align: center;
    padding: 8px;
}

.rectable tbody td {
    border: 1px solid #DDD;
    padding: 7px;
    border-left: none;
    color: #333
}

.row_even {
    background-color: white;
}

.row_odd {
    background-color: #f0f0f0;
}

.rectable tfoot td {
    padding: 8px;
    text-align: left;
    color: #CCC
}


/*worksheet style*/

.ws_wrapper {
    width: 700px;
    height: auto;
    background-color: #fff;
    top: 100px;
    position: relative;
    border-radius: 5px;
    box-shadow: 0px 0px 5px 2px #0d2133;
    padding: 10px
}

.tbl_header {
    color: #09C;
    font-size: 14px;
    font-weight: bold;
    border-bottom: 1px gray solid;
    padding: 0 5px 0 5px;
    text-align: left;
}

.tbl_header_left {
    text-align: left;
    width: 50%
}

.tbl_header_right {
    text-align: right;
    width: 50%;
    color: #0d2133
}

.worksheet {
    color: #0d2133;
    width: 100%
}

.worksheet td {
    height: 35px
}

.worksheetd {
    color: #0d2133;
    width: 100%;
    border-collapse: collapse
}

.worksheetd td {
    height: 30px;
    border-bottom: 1px silver solid;
}

.tf {
    border-top: 1px gray solid;
    text-align: center
}

.doutput {
    border: 1px gray solid;
    border-radius: 3px;
}


/*end worksheet*/


/* start pagination */

.pagingtbl {
    color: #fff;
    width: 100%;
    border-collapse: collapse;
    margin-top: 10px;
    margin-bottom: 8px;
}

.pagingtbl tr td {
    padding-right: 10px
}

div.pagination a {
    padding: 3px 6px 3px 6px;
    margin: 3px;
    border: 1px solid #333;
    background: #313131;
    text-decoration: none;
    color: #fff;
}

div.pagination a:active {
    border: 1px solid #333;
    color: #000;
}

div.pagination a:hover {
    background-color: #F60;
    color: #fff;
}

div.pagination span.current {
    padding: 2px 5px 2px 5px;
    margin: 2px;
    border: 1px solid #039;
    font-weight: bold;
    background-color: #09C;
    color: #FFF;
}

div.pagination span.disabled {
    padding: 2px 5px 2px 5px;
    margin: 2px;
    border: 1px solid #333;
    color: gray;
}


/*end pagination style*/